<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Capitulo_2</title>
</head>
<body>
    <h1>Capitulo 2</h1>
    <a>Ejercicio 3</a>

    <script>
let head;

class Node {
    constructor(val) {
        this.data = val;
        this.next = null;
    }
}

//Eliminar intermedio
function removerDupl() {
    var ptr1 = null,
        ptr2 = null,
        ptr1 = head;

   while (ptr1 !== null && ptr1.next !== null) {
        ptr2 = ptr1;
        if(ptr1.next.next.next === null) {
            ptr2.next = ptr2.next.next;
        }
        ptr1 = ptr1.next;
   }
}

function imprimirList(node) {
    while (node !== null) {
        console.log( node.data + " ");
        node = node.next
    }
}

head = new Node(10);
head.next = new Node(12);
head.next.next = new Node(11);
head.next.next.next = new Node(18);
head.next.next.next.next = new Node(15);
head.next.next.next.next.next = new Node(11);
head.next.next.next.next.next.next = new Node(13);
head.next.next.next.next.next.next.next = new Node(17);

console.log("La lista de nodos es: ")
imprimirList(head);
removerDupl();
console.log("Lista con elemento eliminado: ");
imprimirList(head);


    </script>
    
</body>
</html>